External User Groups

get

Retrieves multiple external user groups.

Query parameters
externalIdstringOptional
idsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter external user groups by name or external ids.

tierIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all external user groups for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user group.

tierIdstring · uuid · nullableRequired

The tier associated with the external user group.

workspaceIdstring · uuidRequired

The workspace that owns the external user group.

get
/api/v1/external-user-groups
post

Creates a new external user group.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user group.

tierIdstring · uuid · nullableRequired

The tier associated with the external user group.

Responses
200

The external user group was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user group.

tierIdstring · uuid · nullableRequired

The tier associated with the external user group.

workspaceIdstring · uuidRequired

The workspace that owns the external user group.

post
/api/v1/external-user-groups
get

Retrieves an external user group.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an external user group.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user group.

tierIdstring · uuid · nullableRequired

The tier associated with the external user group.

workspaceIdstring · uuidRequired

The workspace that owns the external user group.

get
/api/v1/external-user-groups/{id}
delete

Removes an external user group.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The external user group was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/external-user-groups/{id}
patch

Updates an external user group.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
externalIdstring · min: 3 · max: 250 · nullableOptional

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableOptional

The display name of the external user group.

tierIdstring · uuid · nullableOptional

The tier associated with the external user group.

Responses
200

The external user group was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user group.

tierIdstring · uuid · nullableRequired

The tier associated with the external user group.

workspaceIdstring · uuidRequired

The workspace that owns the external user group.

patch
/api/v1/external-user-groups/{id}

Last updated